create table public_report_data
(
    id                     bigint auto_increment,
    data_date              date          not null,
    user_id                bigint        not null comment '用户id',
    user_name              varchar(64)   null comment '用户名称',
    shop_id                bigint        not null comment '门店id',
    shop_name              varchar(256)  null comment '门店名称',
    month_initial          int default 0 null comment '每月初始数',
    day_increase           int default 0 null comment '日新增',
    month_increase         int default 0 null comment '月新增',
    current_quantity       int default 0 null,
    day_stand_quantity     int default 0 null,
    month_stand_quantity   int default 0 null,
    day_natural_quantity   int default 0 null,
    month_natural_quantity int default 0 null,
    group_id               bigint        not null comment '集团id',
    create_time            datetime      null comment '创建日期',
    update_time            datetime      null comment '更新日期',
    constraint public_report_data_pk
        primary key (id)
)
    comment '公共池报表数据';

create index public_report_data_shop_id_index
    on public_report_data (shop_id);

create index public_report_data_user_id_index
    on public_report_data (user_id);


